<?php // этот модуль необходимо делать тольео для крупных проектов, для небольшых описание пунктов меню и файлов меню лучше делать в init.php
$__functions['init'][]      ='_magnit_admin_vars' ;
$__functions['install'][]	='_magnit_install_modul' ;



function _magnit_admin_vars() //
{

}

function _magnit_install_modul($DOT_root)
{

	SETUP()->reg_rol(11,'Кадры','/cab/esmo_magnit/arm/ok/upload/');
	SETUP()->reg_rol(12,'Инженер БДД','/cab/esmo_magnit/pdd/scan/report/');
	SETUP()->reg_rol(14,'Инженер БДД (АТП)','/cab/events/');
	SETUP()->reg_rol(15,'Сотрудник ОК (АТП)','/cab/esmo_magnit_pmo/');

	SETUP()->reg_rol(17,'Помощник инженера БДД (АТП)','/cab/esmo_magnit/pdd/');
	SETUP()->reg_rol(18,'НАК (АТП)','/cab/esmo_magnit_instruction/');

	//ENGINE()->reg_cron('Импорт пропусков из файлов CSV','magnit/check_mail_to_import_csv','*/2 * * * *') ;
	//ENGINE()->reg_cron('Импорт персонала из email','magnit/check_mail_to_import_personal','*/15 * * * *') ;
	ENGINE()->reg_cron('Импорт персонала из 1С ЗУП, изменения','magnit/import_persons_from_SOAP_update','30 */2 * * *') ;
	ENGINE()->reg_cron('Импорт персонала из 1С ЗУП, срез','magnit/import_persons_from_SOAP_full','30 0 * * *') ;
	ENGINE()->reg_cron('Импорт персонала из 1С ЗУП, срез','magnit/import_persons_from_SOAP_full/1','30 10 * * *') ;
	ENGINE()->reg_cron('Импорт персонала из 1С ЗУП, срез','magnit/import_persons_from_SOAP_full/2','30 12 * * *') ;
	ENGINE()->reg_cron('Импорт персонала из 1С ЗУП, срез','magnit/import_persons_from_SOAP_full/3','30 14 * * *') ;
	ENGINE()->reg_cron('Проверка даты приема сотрудника','magnit/check_job_data','0 3 * * *') ;

	ENGINE()->reg_cron('Импорт пропусков из СКУД','magnit/import_propusk_from_skud','*/15 * * * *') ;
	ENGINE()->reg_cron('Импорт фото из СКУД','magnit/import_photo_from_skud','*/5 * * * *') ;
	ENGINE()->reg_cron('Отчет за сутки по предрейсовому мед. осмотру, информация по всем сотрудникам АТП','magnit/auto_report_1','0 8 * * *') ;
	ENGINE()->reg_cron('Отчет по сотрудникам РЦ Краснодар','magnit/auto_report_2','15 14 * * *') ;

	SETUP()->reg_event_lister('workers_changed_records','magnit','on_event_workers_changed_records') ;         //
	SETUP()->reg_event_lister('get_mo_rules_to_personal','magnit','on_event_get_mo_rules_to_personal') ;         //

	$id_sect=SETUP_add_section_to_site_setting('Магнит') ;
	SETUP_add_rec_to_site_setting($id_sect,"Импорт пропусков из Oracle",0,'LS_magnit_import_pass_from_oracle',array('el'=>'checkbox')) ;
	//SETUP_add_rec_to_site_setting($id_sect,"Импорт пропусков из CSV (email)",0,'LS_magnit_import_pass_from_csv_email',array('el'=>'checkbox')) ;
	//SETUP_add_rec_to_site_setting($id_sect,"Импорт персонала из XLS (email)",0,'LS_magnit_import_personal_from_email',array('el'=>'checkbox')) ;
	//SETUP_add_rec_to_site_setting($id_sect,"Импорт персонала из XLS (email) - отправитель","",'LS_magnit_import_personal_from_email_sender') ;
	//SETUP_add_rec_to_site_setting($id_sect,"Импорт персонала из XLS (email) - тема письма при полной выгрузке","HR_esmo_full",'LS_magnit_import_personal_from_email_theme_full') ;
	//SETUP_add_rec_to_site_setting($id_sect,"Импорт персонала из XLS (email) - тема письма при измерениях","HR_esmo_update",'LS_magnit_import_personal_from_email_theme_update') ;

	SETUP_add_rec_to_site_setting($id_sect,"Импорт персонала из XML (SOAP)",0,'LS_magnit_import_personal_from_SOAP',array('el'=>'checkbox')) ;
	SETUP_add_rec_to_site_setting($id_sect,"Импорт персонала из XLS (SOAP) - сервер","",'LS_magnit_import_personal_from_SOAP_server') ;
	SETUP_add_rec_to_site_setting($id_sect,"Импорт персонала из XLS (SOAP) - логин","",'LS_magnit_import_personal_from_SOAP_login') ;
	SETUP_add_rec_to_site_setting($id_sect,"Импорт персонала из XLS (SOAP) - пароль","",'LS_magnit_import_personal_from_SOAP_password',array('crypt'=>1)) ;
	SETUP_add_rec_to_site_setting($id_sect,"Импорт персонала из XLS (SOAP) - узел для полной выгрузке","HR_esmo_full",'LS_magnit_import_personal_from_SOAP_node_full') ;
	SETUP_add_rec_to_site_setting($id_sect,"Импорт персонала из XLS (SOAP) - узел для измерений","HR_esmo_update",'LS_magnit_import_personal_from_SOAP_node_update') ;
	SETUP_add_rec_to_site_setting($id_sect,"Номер принятого пакета SOAP, update",0,'LS_magnit_import_SOAP_block_number_update') ;
	SETUP_add_rec_to_site_setting($id_sect,"Номер принятого пакета SOAP, full",0,'LS_magnit_import_SOAP_block_number_full') ;
	SETUP_add_rec_to_site_setting($id_sect,"ID должности откуда, не проводить вводный инструктаж",5,'LS_magnit_work_id_from') ;
	SETUP_add_rec_to_site_setting($id_sect,"ID должности куда, не проводить вводный инструктаж",74,'LS_magnit_work_id_to') ;
	SETUP_add_rec_to_site_setting($id_sect,"ID критерия осмотра для сотрудников на гостевом АТП",0,'LS_magnit_mo_rule_atp') ;

	SETUP_add_rec_to_site_setting($id_sect,"Блокировка пропусков заданных вручную",1,'LS_magnit_import_pass_block',array('el'=>'checkbox')) ;
	SETUP_add_rec_to_site_setting($id_sect,"Срок блокировки пропусков, заданных вручную, дней",3,'LS_magnit_import_pass_block_day') ;
	SETUP_add_rec_to_site_setting($id_sect,"Считывание QR-кода документа, порог интенсивности цвета для преобразования в Ч/Б",0.77,'LS_qr_code_scan_threshold',array('descr'=>'Значение от 0(полностью белое) до 1(полностью черное). Чем ближе значение к 1, тем больше пикселей становятся черными.')) ;
	SETUP_add_rec_to_site_setting($id_sect,"Адресаты отчет за сутки по предрейсовому мед.осмотру",'','LS_magnit_report1_emails',array('el'=>'textarea')) ;
	SETUP_add_rec_to_site_setting($id_sect,"Адресаты отчет по сотрудникам РЦ Краснодар",'','LS_magnit_report2_emails',array('el'=>'textarea')) ;
	SETUP_add_rec_to_site_setting($id_sect,"Число фото, загружаемых из СКУД за один запрос",10,'LS_magnit_import_photo_from_skud_count') ;
	SETUP_add_rec_to_site_setting($id_sect,"Расположение svc_esmo_import.keytab",'/var/opt/esmo/esmo-server/svc_esmo_import.keytab','LS_magnit_svc_esmo_import_keytab') ;
	SETUP_add_rec_to_site_setting($id_sect,"Число строк/insert",500,'LS_magnit_insert_rows_count') ;
	SETUP_add_rec_to_site_setting($id_sect,"Причины направлений для направления нарко/алко",'Подозрение на наркотическое опьянение;Подозрение на алкогольное опьянение','LS_doc_napravlenie_source_text') ;

	SETUP()->reg_report('Магнит','magnit/report_pass_of_skud.php') ;         //
	SETUP()->reg_ext('demo_sign','Проверка подписей');



}




?>
